Managed Service for Greenplum® API, REST: Versions.List
Returns list of available Greenplum versions.
HTTP request
GET https://mdb.api.yandexcloud.kz/managed-greenplum/v1/versions
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page that should be returned. If the number of available Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token. Set The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"version": [
{
"id": "string",
"name": "string",
"status": "string",
"updatableTo": [
"string"
],
"deprecatedAt": "string",
"eolAt": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
version[] |
Requested list of available versions. |
|
nextPageToken |
string This token allows you to get the next page of results for ListVersions requests, |
Version
Common message for describing a Managed Database version.
|
Field |
Description |
|
id |
string Version ID |
|
name |
string Version name |
|
status |
enum (Status) Version status
|
|
updatableTo[] |
string List of version IDs that the current version can be updated to |
|
deprecatedAt |
string (date-time) Optional. Date when the version enters an appropriate status (day precision) String in RFC3339 To work with values in this field, use the APIs described in the |
|
eolAt |
string (date-time) Optional. Date when the version reaches an appropriate status (day precision) String in RFC3339 To work with values in this field, use the APIs described in the |